This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 506021 - knotify4 needs to close the audio devices when it isn't playing anything
knotify4 needs to close the audio devices when it isn't playing anything
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: phonon (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
: 506022 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-15 06:17 EDT by Amit Shah
Modified: 2009-09-12 19:32 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-12 19:32:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2009-06-15 06:17:38 EDT
Description of problem:

I'm running KDE on F11. This is what powertop shows me:


Wakeups-from-idle per second : 225.9    interval: 10.0s
Power usage (ACPI estimate): 15.5W (5.0 hours)

Top causes for wakeups:
  29.3% (119.5)     <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
  23.8% ( 97.1)        pulseaudio : hrtimer_start_range_ns (posix_timer_fn)
  23.8% ( 97.0)        pulseaudio : hrtimer_start_range_ns (hrtimer_wakeup)
  11.0% ( 44.7)      <kernel IPI> : Rescheduling interrupts
   5.1% ( 20.7)          knotify4 : hrtimer_start_range_ns (hrtimer_wakeup)
   1.6% (  6.6)       <interrupt> : extra timer interrupt
   1.3% (  5.4)             artsd : hrtimer_start_range_ns (hrtimer_wakeup)

... which is not quite good :-)

Pasting also the 'ls' output for pacmd:


$ pacmd
Welcome to PulseAudio! Use "help" for usage information.          
>>> ls                                                            
Memory blocks currently allocated: 1, size: 63.9 KiB.             
Memory blocks allocated during the whole lifetime: 2482638, size: 559.6 MiB.
Memory blocks imported from other processes: 0, size: 0 B.                  
Memory blocks exported to other processes: 0, size: 0 B.                    
Total sample cache size: 0 B.                                               
Default sample spec: s16le 2ch 44100Hz                                      
Default channel map: front-left,front-right                                 
Default sink name: alsa_output.pci_8086_293e_sound_card_0                   
Default source name: alsa_input.pci_8086_293e_sound_card_0                  
Memory blocks of type POOL: 1 allocated/7038 accumulated.                   
Memory blocks of type POOL_EXTERNAL: 0 allocated/0 accumulated.             
Memory blocks of type APPENDED: 0 allocated/0 accumulated.                  
Memory blocks of type USER: 0 allocated/0 accumulated.                      
Memory blocks of type FIXED: 0 allocated/2468370 accumulated.               
Memory blocks of type IMPORTED: 0 allocated/7230 accumulated.               
19 module(s) loaded.                                                        
    index: 0                                                                
        name: <module-device-restore>                                       
        argument: <>                                                        
        used: -1                                                            
        load once: yes                                                      
        properties:                                                         
                module.author = "Lennart Poettering"                        
                module.description = "Automatically restore the volume/mute state of devices"
                module.version = "0.9.15"                                                    
    index: 1                                                                                 
        name: <module-stream-restore>                                                        
        argument: <>                                                                         
        used: -1                                                                             
        load once: yes                                                                       
        properties:                                                                          
                module.author = "Lennart Poettering"                                         
                module.description = "Automatically restore the volume/mute/device state of streams"
                module.version = "0.9.15"                                                           
    index: 2                                                                                        
        name: <module-card-restore>                                                                 
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Automatically restore profile of cards"                       
                module.version = "0.9.15"                                                           
    index: 3                                                                                        
        name: <module-augment-properties>                                                           
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Augment the property sets of streams with additional static information"                                                                                          
                module.version = "0.9.15"                                                           
    index: 4                                                                                        
        name: <module-alsa-card>                                                                    
        argument: <device_id=0 name=pci_8086_293e_sound_card_0 card_name=alsa_card.pci_8086_293e_sound_card_0 tsched=1>                                                                                 
        used: 1                                                                                     
        load once: no                                                                               
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "ALSA Card"                                                    
                module.version = "0.9.15"                                                           
    index: 5                                                                                        
        name: <module-hal-detect>                                                                   
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Shahms King"                                                       
                module.description = "Detect available audio hardware and load matching drivers"    
                module.version = "0.9.15"                                                           
    index: 6                                                                                        
        name: <module-esound-protocol-unix>                                                         
        argument: <>                                                                                
        used: -1                                                                                    
        load once: no                                                                               
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "ESOUND protocol (UNIX sockets)"                               
                module.version = "0.9.15"                                                           
    index: 7                                                                                        
        name: <module-native-protocol-unix>                                                         
        argument: <>                                                                                
        used: -1                                                                                    
        load once: no                                                                               
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Native protocol (UNIX sockets)"                               
                module.version = "0.9.15"                                                           
    index: 8                                                                                        
        name: <module-default-device-restore>                                                       
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Automatically restore the default sink and source"            
                module.version = "0.9.15"                                                           
    index: 9                                                                                        
        name: <module-rescue-streams>                                                               
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "When a sink/source is removed, try to move their streams to the default sink/source"                                                                              
                module.version = "0.9.15"                                                           
    index: 10                                                                                       
        name: <module-always-sink>                                                                  
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Colin Guthrie"                                                     
                module.description = "Always keeps at least one sink loaded even if it's a null one"
                module.version = "0.9.15"                                                           
    index: 11                                                                                       
        name: <module-suspend-on-idle>                                                              
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "When a sink/source is idle for too long, suspend it"          
                module.version = "0.9.15"                                                           
    index: 12                                                                                       
        name: <module-console-kit>                                                                  
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Create a client for each ConsoleKit session of this user"     
                module.version = "0.9.15"                                                           
    index: 13                                                                                       
        name: <module-position-event-sounds>                                                        
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Position event sounds between L and R depending on the position on screen of the widget triggering them."                                                         
                module.version = "0.9.15"                                                           
    index: 14                                                                                       
        name: <module-cork-music-on-phone>                                                          
        argument: <>                                                                                
        used: -1                                                                                    
        load once: yes                                                                              
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Mute or cork music while a phone stream exists"               
                module.version = "0.9.15"                                                           
    index: 15                                                                                       
        name: <module-x11-publish>                                                                  
        argument: <display=:0>                                                                      
        used: -1                                                                                    
        load once: no                                                                               
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "X11 credential publisher"                                     
                module.version = "0.9.15"                                                           
    index: 16                                                                                       
        name: <module-x11-cork-request>                                                             
        argument: <display=:0>                                                                      
        used: -1                                                                                    
        load once: no                                                                               
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Synthesize X11 media key events when cork/uncork is requested"
                module.version = "0.9.15"                                                           
    index: 17                                                                                       
        name: <module-x11-xsmp>                                                                     
        argument: <display=:0 session_manager=local/unix:@/tmp/.ICE-unix/2018,unix/unix:/tmp/.ICE-unix/2018>                                                                                            
        used: -1                                                                                    
        load once: no                                                                               
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "X11 session management"                                       
                module.version = "0.9.15"                                                           
    index: 18                                                                                       
        name: <module-cli-protocol-unix>                                                            
        argument: <>                                                                                
        used: -1                                                                                    
        load once: no                                                                               
        properties:                                                                                 
                module.author = "Lennart Poettering"                                                
                module.description = "Command line interface protocol (UNIX sockets)"               
                module.version = "0.9.15"                                                           
1 sink(s) available.                                                                                
  * index: 0                                                                                        
        name: <alsa_output.pci_8086_293e_sound_card_0>                                              
        driver: <module-alsa-card.c>                                                                
        flags: HARDWARE HW_MUTE_CTRL HW_VOLUME_CTRL DECIBEL_VOLUME LATENCY FLAT_VOLUME DYNAMIC_LATENCY                                                                                                  
        state: RUNNING                                                                              
        volume: 0: 100% 1: 100%                                                                     
                0: 0.00 dB 1: 0.00 dB                                                               
                balance 0.00                                                                        
        base volume: 100%                                                                           
                     0.00 dB                                                                        
        volume steps: 65537                                                                         
        muted: no                                                                                   
        current latency: 75.70 ms                                                                   
        max request: 13 KiB                                                                         
        max rewind: 344 KiB                                                                         
        monitor source: 0                                                                           
        sample spec: s16le 2ch 44100Hz                                                              
        channel map: front-left,front-right                                                         
                     Stereo                                                                         
        used by: 1                                                                                  
        linked by: 1                                                                                
        configured latency: 76.00 ms; range is 76.00 .. 1999.82 ms                                  
        card: 0 <alsa_card.pci_8086_293e_sound_card_0>                                              
        module: 4                                                                                   
        properties:                                                                                 
                alsa.resolution_bits = "16"                                                         
                alsa.mixer_element = "Master"                                                       
                device.api = "alsa"                                                                 
                device.class = "sound"                                                              
                alsa.class = "generic"                                                              
                alsa.subclass = "generic-mix"                                                       
                alsa.name = "CONEXANT Analog"                                                       
                alsa.id = "CONEXANT Analog"                                                         
                alsa.subdevice = "0"                                                                
                alsa.subdevice_name = "subdevice #0"                                                
                alsa.device = "0"                                                                   
                alsa.card = "0"                                                                     
                alsa.card_name = "HDA Intel"                                                        
                alsa.long_card_name = "HDA Intel at 0xf2620000 irq 17"                              
                alsa.driver_name = "snd_hda_intel"                                                  
                device.bus = "pci"                                                                  
                device.vendor.id = "8086"                                                           
                device.vendor.name = "Intel Corporation"                                            
                device.product.id = "293e"                                                          
                device.product.name = "82801I (ICH9 Family) HD Audio Controller"                    
                device.form_factor = "internal"                                                     
                device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"                    
                hal.udi = "/org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0"                 
                hal.product = "HDA Intel Sound Card"                                                
                hal.card_id = "HDA Intel"                                                           
                device.string = "front:0"                                                           
                device.buffering.buffer_size = "352768"                                             
                device.buffering.fragment_size = "176384"                                           
                device.access_mode = "mmap+timer"                                                   
                device.profile.name = "analog-stereo"                                               
                device.profile.description = "Analog Stereo"                                        
                device.description = "Internal Audio"                                               
                device.icon_name = "audio-card-pci"                                                 
2 source(s) available.                                                                              
    index: 0                                                                                        
        name: <alsa_output.pci_8086_293e_sound_card_0.monitor>                                      
        driver: <module-alsa-card.c>                                                                
        flags: DECIBEL_VOLUME LATENCY DYNAMIC_LATENCY                                               
        state: IDLE                                                                                 
        volume: 0: 100% 1: 100%                                                                     
                0: 0.00 dB 1: 0.00 dB                                                               
                balance 0.00                                                                        
        base volume: 100%                                                                           
                     0.00 dB                                                                        
        volume steps: 65537                                                                         
        muted: no                                                                                   
        current latency: 0.00 ms                                                                    
        max rewind: 344 KiB                                                                         
        sample spec: s16le 2ch 44100Hz                                                              
        channel map: front-left,front-right                                                         
                     Stereo                                                                         
        used by: 0                                                                                  
        linked by: 0                                                                                
        configured latency: 1999.82 ms; range is 76.00 .. 1999.82 ms                                
        monitor_of: 0                                                                               
        card: 0 <alsa_card.pci_8086_293e_sound_card_0>                                              
        module: 4                                                                                   
        properties:                                                                                 
                device.description = "Monitor of Internal Audio"                                    
                device.class = "monitor"                                                            
                alsa.card = "0"                                                                     
                alsa.card_name = "HDA Intel"                                                        
                alsa.long_card_name = "HDA Intel at 0xf2620000 irq 17"                              
                alsa.driver_name = "snd_hda_intel"                                                  
                device.bus = "pci"                                                                  
                device.vendor.id = "8086"                                                           
                device.vendor.name = "Intel Corporation"                                            
                device.product.id = "293e"                                                          
                device.product.name = "82801I (ICH9 Family) HD Audio Controller"                    
                device.form_factor = "internal"                                                     
                device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"                    
                hal.udi = "/org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0"                 
                hal.product = "HDA Intel Sound Card"                                                
                hal.card_id = "HDA Intel"                                                           
                device.string = "0"                                                                 
                device.icon_name = "audio-card-pci"                                                 
  * index: 1                                                                                        
        name: <alsa_input.pci_8086_293e_sound_card_0>                                               
        driver: <module-alsa-card.c>                                                                
        flags: HARDWARE DECIBEL_VOLUME LATENCY DYNAMIC_LATENCY                                      
        state: SUSPENDED                                                                            
        volume: 0: 100% 1: 100%                                                                     
                0: 0.00 dB 1: 0.00 dB                                                               
                balance 0.00                                                                        
        base volume: 100%                                                                           
                     0.00 dB                                                                        
        volume steps: 65537                                                                         
        muted: no                                                                                   
        current latency: 0.00 ms                                                                    
        max rewind: 0 KiB                                                                           
        sample spec: s16le 2ch 44100Hz                                                              
        channel map: front-left,front-right                                                         
                     Stereo                                                                         
        used by: 0                                                                                  
        linked by: 0                                                                                
        configured latency: 0.00 ms; range is 0.50 .. 1999.82 ms                                    
        card: 0 <alsa_card.pci_8086_293e_sound_card_0>                                              
        module: 4                                                                                   
        properties:                                                                                 
                alsa.resolution_bits = "16"                                                         
                device.api = "alsa"                                                                 
                device.class = "sound"                                                              
                alsa.class = "generic"                                                              
                alsa.subclass = "generic-mix"                                                       
                alsa.name = "CONEXANT Analog"                                                       
                alsa.id = "CONEXANT Analog"                                                         
                alsa.subdevice = "0"                                                                
                alsa.subdevice_name = "subdevice #0"                                                
                alsa.device = "0"                                                                   
                alsa.card = "0"                                                                     
                alsa.card_name = "HDA Intel"                                                        
                alsa.long_card_name = "HDA Intel at 0xf2620000 irq 17"                              
                alsa.driver_name = "snd_hda_intel"                                                  
                device.bus = "pci"                                                                  
                device.vendor.id = "8086"                                                           
                device.vendor.name = "Intel Corporation"                                            
                device.product.id = "293e"                                                          
                device.product.name = "82801I (ICH9 Family) HD Audio Controller"                    
                device.form_factor = "internal"                                                     
                device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"                    
                hal.udi = "/org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0"                 
                hal.product = "HDA Intel Sound Card"                                                
                hal.card_id = "HDA Intel"                                                           
                device.string = "front:0"                                                           
                device.buffering.buffer_size = "352768"                                             
                device.buffering.fragment_size = "176384"                                           
                device.access_mode = "mmap+timer"                                                   
                device.profile.name = "analog-stereo"                                               
                device.profile.description = "Analog Stereo"                                        
                device.description = "Internal Audio"                                               
                device.icon_name = "audio-card-pci"                                                 
4 client(s) logged in.                                                                              
    index: 0                                                                                        
        driver: <module-console-kit.c>                                                              
        owner module: 12                                                                            
        properties:                                                                                 
                application.name = "ConsoleKit Session /org/freedesktop/ConsoleKit/Session1"        
                console-kit.session = "/org/freedesktop/ConsoleKit/Session1"                        
    index: 7                                                                                        
        driver: <module-x11-xsmp.c>                                                                 
        owner module: 17                                                                            
        properties:                                                                                 
                application.name = "XSMP Session on KDE as 101501de1dd1ea000124496946400000020180007"                                                                                                   
                xsmp.vendor = "KDE"                                                                 
                xsmp.client.id = "101501de1dd1ea000124496946400000020180007"                        
    index: 41                                                                                       
        driver: <protocol-native.c>                                                                 
        owner module: 7                                                                             
        properties:                                                                                 
                application.name = "ALSA plug-in [knotify4]"                                        
                native-protocol.peer = "UNIX socket client"                                         
                native-protocol.version = "15"                                                      
                application.process.id = "2023"                                                     
                application.process.user = "amit"                                                   
                application.process.host = "amit-x200.redhat.com"                                   
                application.process.binary = "knotify4"                                             
                application.language = "en_US.UTF-8"                                                
                window.x11.display = ":0.0"                                                         
                application.process.machine_id = "a1d67331b804a56d5c31fa584a3144ae"                 
                application.process.session_id = "a1d67331b804a56d5c31fa584a3144ae-1244969442.909532-1474728227"                                                                                        
    index: 42                                                                                       
        driver: <cli.c>                                                                             
        owner module: 18                                                                            
        properties:                                                                                 
                application.name = "UNIX socket client"                                             
1 card(s) available.                                                                                
    index: 0                                                                                        
        name: <alsa_card.pci_8086_293e_sound_card_0>                                                
        driver: <module-alsa-card.c>                                                                
        owner module: 4                                                                             
        properties:                                                                                 
                alsa.card = "0"                                                                     
                alsa.card_name = "HDA Intel"                                                        
                alsa.long_card_name = "HDA Intel at 0xf2620000 irq 17"                              
                alsa.driver_name = "snd_hda_intel"                                                  
                device.bus = "pci"                                                                  
                device.vendor.id = "8086"                                                           
                device.vendor.name = "Intel Corporation"                                            
                device.product.id = "293e"                                                          
                device.product.name = "82801I (ICH9 Family) HD Audio Controller"                    
                device.form_factor = "internal"                                                     
                device.bus_path = "/devices/pci0000:00/0000:00:1b.0/sound/card0"                    
                hal.udi = "/org/freedesktop/Hal/devices/pci_8086_293e_sound_card_0"                 
                hal.product = "HDA Intel Sound Card"                                                
                hal.card_id = "HDA Intel"                                                           
                device.string = "0"                                                                 
                device.description = "Internal Audio"                                               
                device.icon_name = "audio-card-pci"                                                 
        profiles:                                                                                   
                output-analog-stereo+input-analog-stereo: Output Analog Stereo + Input Analog Stereo (priority 81010)                                                                                   
                output-analog-stereo: Output Analog Stereo (priority 51000)                         
                output-iec958-stereo+input-analog-stereo: Output Digital Stereo (IEC958) + Input Analog Stereo (priority 80510)                                                                         
                output-iec958-stereo: Output Digital Stereo (IEC958) (priority 50500)
                input-analog-stereo: Input Analog Stereo (priority 30010)
                off: Off (priority 0)
        active profile: <output-analog-stereo+input-analog-stereo>
        sinks:
                alsa_output.pci_8086_293e_sound_card_0/#0: Internal Audio
        sources:
                alsa_output.pci_8086_293e_sound_card_0.monitor/#0: Monitor of Internal Audio
                alsa_input.pci_8086_293e_sound_card_0/#1: Internal Audio
1 sink input(s) available.
    index: 44
        driver: <protocol-native.c>
        flags:
        state: DRAINED
        sink: 0 <alsa_output.pci_8086_293e_sound_card_0>
        volume: 0: 100% 1: 100%
                0: 0.00 dB 1: 0.00 dB
                balance 0.00
        muted: no
        current latency: 0.00 ms
        requested latency: 76.00 ms
        sample spec: s32le 2ch 48000Hz
        channel map: front-left,front-right
                     Stereo
        resample method: speex-float-3
        module: 7
        client: 41 <ALSA plug-in [knotify4]>
        properties:
                media.name = "ALSA Playback"
                application.name = "ALSA plug-in [knotify4]"
                native-protocol.peer = "UNIX socket client"
                native-protocol.version = "15"
                application.process.id = "2023"
                application.process.user = "amit"
                application.process.host = "amit-x200.redhat.com"
                application.process.binary = "knotify4"
                application.language = "en_US.UTF-8"
                window.x11.display = ":0.0"
                application.process.machine_id = "a1d67331b804a56d5c31fa584a3144ae"
                application.process.session_id = "a1d67331b804a56d5c31fa584a3144ae-1244969442.909532-1474728227"
                module-stream-restore.id = "sink-input-by-application-name:ALSA plug-in [knotify4]"
0 source outputs(s) available.
0 cache entrie(s) available.
>>>
Comment 1 Lennart Poettering 2009-06-29 08:18:27 EDT
PA adapts its wakeup intervals to what clients require and also has a logic to shorten them if we ever ran into a dropout, to minimize the chance that we run into another.  PA will log about the wakeup interval changes in syslog. Could you please check what is written there? Any syslog lines which say something like "...increasing wakeup time..." or so?
Comment 2 Lennart Poettering 2009-06-29 08:43:10 EDT
*** Bug 506022 has been marked as a duplicate of this bug. ***
Comment 3 Amit Shah 2009-06-29 08:46:33 EDT
I don't see any such messages in my /var/log/messages file.
Comment 4 Lennart Poettering 2009-06-29 10:03:24 EDT
Hmm, the output above, is anything actually played then? It seems that knotify4 seems to keep open the audio connection to PA and doesn't pause it, which then causes PA to constantly run the audio loop, and not close it because it assumes that the client is just temporarily underrun but actually playing something. knotify4 should not keep the audio device open if it isn't playing anything.
Comment 5 Amit Shah 2009-06-29 10:22:47 EDT
Nothing was playing at that moment but I doubt anything could be played as well -- I tried twinkle and didn't get any sounds and I think kde too was trying to get sound out -- wasn't working. It got fixed after some fiddling with pulseaudio (remove, change kde sound to output via alsa, reinstall PA, change kde sound to pulseaudio again, reboot; just logout/login didn't work).
Comment 6 Lennart Poettering 2009-06-29 14:39:19 EDT
Hmmm, I am not a KDE guy, I am pretty sure that PA is not as much fun as it could be on KDE, but uh, that's something the KDE folks need to fix.

I will now reassign this to kdenotify4, so that they fix it to close the audio device when nothing is being played. If that is fixed, then PA will close the device when idle and wakeups go to zero.
Comment 7 Rex Dieter 2009-06-29 14:47:10 EDT
Any other way to try to reproduce this other than twinkle (a legacy kde3 app, which likely uses arts... *shudder*). ?

From my casual use, and occasional music (amarok), I definitely do not see this.
Comment 8 Kevin Kofler 2009-06-29 15:40:30 EDT
aRts closes itself after 60 seconds of inactivity and the old KDE 3 knotify didn't keep the aRts connection open. See how there's no aRts showing up in the list of clients. So it's really knotify4 which is at fault for PA not suspending.

(Also pedantically reassigning from kdebase to kdebase-runtime because that's where knotify4 sits.)
Comment 9 Ngo Than 2009-06-30 09:53:46 EDT
i cannot reproduce it by using phonon-gstreamer-backend, it's a bug in xine-libs
https://bugs.kde.org/show_bug.cgi?id=151546
Comment 10 Rex Dieter 2009-06-30 10:08:26 EDT
I cannot reproduce using phonon-backend-xine either.  I'd bet there's a layered compatibility issue here, that includes any/all of phonon/xine-lib/pulseaudio/alsa-driver

Which is what prompted my "how to reproduce" comment #7
Comment 11 Amit Shah 2009-06-30 10:25:50 EDT
It's not specific to twinkle. For example, I'm running twinkle right now without seeing any of arts/knotify4/pulseaudio using much CPU.

There's some condition in knotify4 which causes it. I'm not sure what I had done, though, to get that condition.
Comment 12 Rex Dieter 2009-06-30 10:30:41 EDT
As a matter of fact, using phonon-backend-xine, after doing some amarok'ing...

powertop lists
 44.8% (114.7)     <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
...
 1.5%  (3.4)       knotify4      : hrtimer_start_range_ns (hrtimer_wakeup)


Now, switched to phonon-backend-gstreamer, (logout/login), again after some amarok'ing...

powertop:
 38.6% (200.6)   <kernel core> : hrtimer_start_range_ns (tick_sched_timer)
 18.4% (98.6)    pulseaudio  :  hrtimer_start_range_ns (posix_timer_in)
 17.1  (97.2)    pulseaudio  :  hrtimer_start_range_ns (hrtimer_wakeup)
...
 4.2%  (20.7)       knotify4      : hrtimer_start_range_ns (hrtimer_wakeup)

interesting, -gstreamer backend seems to the one exhibiting the reported problem(s) for me.
Comment 13 Steven M. Parrish 2009-07-22 08:45:32 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 14 Steven M. Parrish 2009-09-12 19:32:38 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.